package com.pcloud.book.weixinclock.dto;

import com.pcloud.common.dto.BaseDto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author 杨涛
 * @description 抽奖应用信息
 * @date 2019/8/16 14:22
 */
public class DrawRewardDto extends BaseDto {

    private static final long serialVersionUID = -5223468352278026294L;

    @ApiModelProperty("应用标识")
    private Long appId;

    @ApiModelProperty("渠道标识")
    private Long channelId;

    @ApiModelProperty("类型")
    private String typeCode;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("封面图")
    private String squareImg;

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSquareImg() {
        return squareImg;
    }

    public void setSquareImg(String squareImg) {
        this.squareImg = squareImg;
    }

    @Override
    public String toString() {
        return "DrawRewardDto{" +
                "appId=" + appId +
                ", channelId=" + channelId +
                ", typeCode='" + typeCode + '\'' +
                ", title='" + title + '\'' +
                ", squareImg='" + squareImg + '\'' +
                '}';
    }
}
